Skip to main content
PUT
/
api
/
2.0
/
drug_intolerances
/
{id}
Update Drug Intolerance
curl --request PUT \
  --url https://sandbox.elationemr.com/api/2.0/drug_intolerances/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "patient": 123,
  "reaction": "<string>",
  "start_date": "2023-12-25"
}
'
{
  "name": "<string>",
  "patient": 123,
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "id": 123,
  "reaction": "<string>",
  "start_date": "2023-12-25"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Body

application/json
name
string
required

The Drug Intolerance's name; e.g. what drug the patient cannot tolerate.

patient
integer<int64>
required

The id of the patient.

reaction
string | null

The type of reaction the patient experiences when taking the drug

Maximum string length: 200
severity

The severity of the patient's reaction.

  • `` - unknown
  • 255604002 - mild
  • 6736007 - moderate
  • 24484000 - severe
Available options:
255604002,
6736007,
24484000
start_date
string<date> | null

The date of onset for the drug intolerance.

status
enum<integer>

Whether the drug intolerance is active or not.

  • 1 - Active
  • 2 - Inactive
Available options:
1,
2
Required range: 0 <= x <= 65535

Response

200 - application/json
name
string
required

The Drug Intolerance's name; e.g. what drug the patient cannot tolerate.

patient
integer<int64>
required

The id of the patient.

created_date
string<date-time> | null
read-only

When the record was created in Elation's systems.

deleted_date
string<date-time> | null
read-only

When the record was recorded deleted in Elation's systems.

id
integer
read-only
reaction
string | null

The type of reaction the patient experiences when taking the drug

Maximum string length: 200
severity

The severity of the patient's reaction.

  • `` - unknown
  • 255604002 - mild
  • 6736007 - moderate
  • 24484000 - severe
Available options:
255604002,
6736007,
24484000
start_date
string<date> | null

The date of onset for the drug intolerance.

status
enum<integer>

Whether the drug intolerance is active or not.

  • 1 - Active
  • 2 - Inactive
Available options:
1,
2
Required range: 0 <= x <= 65535